manifestVersion: "0.0.1"
id: pi-hole
category: networking
name: Pi-hole
version: "2026.04.1"
tagline: Блокируйте рекламу во всей вашей сети
description: >-
  Вместо плагинов браузера или другого программного обеспечения на каждом компьютере
  установите Pi-hole® на свой DFWebOS, и вся ваша сеть будет защищена.
  Блокировка на уровне сети позволяет блокировать рекламу в нетрадиционных местах, таких как
  как мобильные приложения и смарт-телевизоры, независимо от оборудования или ОС. Поскольку
  рекламные объявления блокируются до их загрузки, производительность сети снижается.
  улучшится и почувствует себя быстрее.
  
  
  Помимо блокировки рекламы, Pi-hole® имеет информативный веб-интерфейс, который показывает статистику по всем запрашиваемым доменам в вашей сети. Pi-hole® отлично работает с существующим DHCP-сервером, но вы можете использовать Pi-hole®, чтобы централизованно управлять сетью.
  
  
  Pi-hole® и логотип Pi-hole® являются зарегистрированными торговыми марками Pi-hole. DFWebOS не спонсируется, не одобряется и не связан с Pi-hole®.
developer: Pi-hole®
website: https://pi-hole.net
dependencies: []
repo: https://github.com/pi-hole/docker-pi-hole
support: https://discourse.pi-hole.net
port: 8082
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
path: "/admin/"
defaultUsername: ""
deterministicPassword: true
torOnly: false
releaseNotes: >-
  ⚠️ Если вы настроили свой маршрутизатор на использование Pi-hole в качестве единственного DNS-сервера, DFWebOS может не суметь разрешить доменные имена во время обновления, что не позволит ему загрузить файлы обновления.
  Чтобы избежать проблем, перед обновлением временно установите резервный DNS-сервер (например, 1.1.1.1) на маршрутизаторе или настройте постоянный резервный DNS, чтобы предотвратить проблемы в будущем.
  
  
  Этот выпуск включает исправления ошибок и улучшения стабильности:
    - 🚨 Исправлены две уязвимости безопасности в FTL (GHSA-6w8x-p785-6pm4 и GHSA-9cqv-839p-gpq2).
    - Исправлены проблемы с потокобезопасностью, которые могли привести к сбоям при одновременной загрузке API.
    - Исправлено редкое состояние гонки в обработчиках API.
    - Исправлена проблема с поиском устройства, когда разрешение имен на основе MAC отключено.
    - Улучшена поддержка доменов punycode, отклоненных IDNA2008.
    - Улучшена диагностика выключения
    - Исправлены права владения для каталогов.
    - Исправлена обработка разрешений для файлов, связанных с гравитацией.
  
  
  Полные примечания к выпуску можно найти по адресу https://github.com/pi-hole/docker-pi-hole/releases/tag/2026.04.1.
submitter: "DFV24"
submission: "https://github.dfv24.com/fofanov.dmitry/DFWebOS-Apps/pulls"
